Subject: bug#53040: closed (Re: bug#53040: [PATCH] gnu: bubblewrap: Update to 0.5.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Jan 2022 21:56:02 +0000

Your bug report

#53040: [PATCH] gnu: bubblewrap: Update to 0.5.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53040: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53040
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53040: [PATCH] gnu: bubblewrap: Update to 0.5.0.
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 13 Jan 2022 22:55:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] skribis:

> I rebased the patch onto today's Guix commits, and Flatpak 1.12.1 and 1.12.2 passes the tests on my machine. But I'm currently running Guix on Arch and don't have a Guix system available to test further.

Indeed, I tried on a newer machine and it went fine (the one I was
building on previously is really old and I suspect an odd
hardware-related issue.)

> All dependent packages except wpewebkit build successfully. wpewebkit build log complains during cmake configuration that a required package is not found, but it seems unrelated to bubblewrap, and it won't build on master anyways.

Noted.

Applied, thanks!

Ludo’.

Subject: [PATCH] gnu: bubblewrap: Update to 0.5.0.
From: [email-masked]
To: Guix Patches <[email-masked]>
Date: Wed, 5 Jan 2022 23:54:23 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Unfortunately some tests fail because of missing locales, I've attached the test log. Help is appreciated.
>From 83cd691bc4875373e84a1b4b77ffa25cf85e9136 Mon Sep 17 00:00:00 2001
From: kiasoc5 <[email-masked]>
Date: Wed, 5 Jan 2022 02:18:15 -0500
Subject: [PATCH] gnu: bubblewrap: Update to 0.5.0.

* gnu/packages/virtualization.scm (bubblewrap): Update to 0.5.0.
---
 gnu/packages/virtualization.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 6a40955dbb..71c7178c6d 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -1927,7 +1927,7 @@ (define-public python-vagrant
 (define-public bubblewrap
   (package
     (name "bubblewrap")
-    (version "0.4.1")
+    (version "0.5.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://github.com/containers/bubblewrap/"
@@ -1935,7 +1935,7 @@ (define-public bubblewrap
                                   version ".tar.xz"))
               (sha256
                (base32
-                "00ycgi6q2yngh06bnz50wkvar6r2jnjf3j158grhi9k13jdrpimr"))))
+                "0608l2sjwhnb1c0mslah1h6yjvqr17wk60by6i710qwxg4rszz8n"))))
     (build-system gnu-build-system)
     (arguments
      `(#:phases

base-commit: 8860e9db560c5d9e74277b608071fbb93579db4f
-- 
2.34.1